libcdr::CDRParserState Class Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
libcdr::CDRParserState Class Reference

`#include <CDRCollector.h>`

## Public Member Functions
| CDRParserState ()
| ~CDRParserState ()
unsigned | _getRGBColor (const CDRColor &color)
unsigned | getBMPColor (const CDRColor &color)
librevenge::RVNGString | getRGBColorString (const CDRColor &color)
void | setColorTransform (const std::vector< unsigned char > &profile)
void | setColorTransform (librevenge::RVNGInputStream *input)
void | getRecursedStyle (CDRStyle &style, unsigned styleId)

## Public Attributes
std::map< unsigned, librevenge::RVNGBinaryData > | m_bmps
std::map< unsigned, CDRPattern > | m_patterns
std::map< unsigned, librevenge::RVNGBinaryData > | m_vects
std::vector< CDRPage > | m_pages
std::map< unsigned, CDRColor > | m_documentPalette
std::map< unsigned, std::vector< CDRTextLine > > | m_texts
std::map< unsigned, CDRStyle > | m_styles
std::map< unsigned, CDRFillStyle > | m_fillStyles
std::map< unsigned, CDRLineStyle > | m_lineStyles
cmsHTRANSFORM | m_colorTransformCMYK2RGB
cmsHTRANSFORM | m_colorTransformLab2RGB
cmsHTRANSFORM | m_colorTransformRGB2RGB

## Private Member Functions
| CDRParserState (const CDRParserState &)
CDRParserState & | operator= (const CDRParserState &)

## Constructor & Destructor Documentation

## ◆ CDRParserState() [1/2]

libcdr::CDRParserState::CDRParserState | ( |  | ) |

## ◆ ~CDRParserState()

libcdr::CDRParserState::~CDRParserState | ( |  | ) |

## ◆ CDRParserState() [2/2]

libcdr::CDRParserState::CDRParserState | ( | const CDRParserState & |  | ) |
| private

## Member Function Documentation

## ◆ _getRGBColor()

unsigned libcdr::CDRParserState::_getRGBColor | ( | const CDRColor & | color | ) |

## ◆ getBMPColor()

unsigned libcdr::CDRParserState::getBMPColor | ( | const CDRColor & | color | ) |

## ◆ getRecursedStyle()

void libcdr::CDRParserState::getRecursedStyle | ( | CDRStyle & | style,
|  | unsigned | styleId
| ) |  |

## ◆ getRGBColorString()

librevenge::RVNGString libcdr::CDRParserState::getRGBColorString | ( | const CDRColor & | color | ) |

## ◆ operator=()

CDRParserState& libcdr::CDRParserState::operator= | ( | const CDRParserState & |  | ) |
| private

## ◆ setColorTransform() [1/2]

void libcdr::CDRParserState::setColorTransform | ( | const std::vector< unsigned char > & | profile | ) |

Referenced by libcdr::CDRDocument::parse().

## ◆ setColorTransform() [2/2]

void libcdr::CDRParserState::setColorTransform | ( | librevenge::RVNGInputStream * | input | ) |

## Member Data Documentation

## ◆ m_bmps

std::map<unsigned, librevenge::RVNGBinaryData> libcdr::CDRParserState::m_bmps

## ◆ m_colorTransformCMYK2RGB

cmsHTRANSFORM libcdr::CDRParserState::m_colorTransformCMYK2RGB

Referenced by CDRParserState().

## ◆ m_colorTransformLab2RGB

cmsHTRANSFORM libcdr::CDRParserState::m_colorTransformLab2RGB

Referenced by CDRParserState().

## ◆ m_colorTransformRGB2RGB

cmsHTRANSFORM libcdr::CDRParserState::m_colorTransformRGB2RGB

Referenced by CDRParserState().

## ◆ m_documentPalette

std::map<unsigned, CDRColor> libcdr::CDRParserState::m_documentPalette

## ◆ m_fillStyles

std::map<unsigned, CDRFillStyle> libcdr::CDRParserState::m_fillStyles

## ◆ m_lineStyles

std::map<unsigned, CDRLineStyle> libcdr::CDRParserState::m_lineStyles

## ◆ m_pages

std::vector<CDRPage> libcdr::CDRParserState::m_pages

Referenced by libcdr::CDRDocument::parse(), and libcdr::CMXDocument::parse().

## ◆ m_patterns

std::map<unsigned, CDRPattern> libcdr::CDRParserState::m_patterns

## ◆ m_styles

std::map<unsigned, CDRStyle> libcdr::CDRParserState::m_styles

## ◆ m_texts

std::map<unsigned, std::vector<CDRTextLine> > libcdr::CDRParserState::m_texts

## ◆ m_vects

std::map<unsigned, librevenge::RVNGBinaryData> libcdr::CDRParserState::m_vects

The documentation for this class was generated from the following files:

- CDRCollector.h
- CDRCollector.cpp